<!DOCTYPE HTML>
<html>
<!--
Tests of DOM Worker Threads (Bug 437152)
-->
<head>
  <title>Test for DOM Worker Threads (Bug 437152)</title>
  <script type="text/javascript" src="/MochiKit/MochiKit.js"></script>
  <script type="text/javascript" src="/tests/SimpleTest/SimpleTest.js"></script>
  <link rel="stylesheet" type="text/css" href="/tests/SimpleTest/test.css" />
</head>
<body>
<a target="_blank" href="https://bugzilla.mozilla.org/show_bug.cgi?id=437152">DOM Worker Threads Bug 437152</a>
<p id="display"></p>
<div id="content" style="display: none">
  
</div>
<pre id="test">
<script class="testbody" type="text/javascript">

  var worker = new Worker("importScripts_worker.js");

  worker.onmessage = function(event) {
    switch (event.data) {
      case "started":
        worker.postMessage("stop");
        break;
      case "stopped":
        SimpleTest.finish();
        break;
      default:
        ok(false, "Unexpected message:" + message);
        SimpleTest.finish();
    }
  };

  worker.onerror = function(event) {
    ok(false, "Worker had an error:" + event.data);
    SimpleTest.finish();
  }

  worker.postMessage("start");

  SimpleTest.waitForExplicitFinish();

</script>
</pre>
</body>
</html>

